Index: branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 559)
@@ -80,7 +80,4 @@
   {
     m_acLayerCfg[layer].setAppEncCfg(this);
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    m_ilSampleOnlyPred[layer] = 0;
-#endif
   }
   memset( m_scalabilityMask, 0, sizeof(m_scalabilityMask) );
@@ -629,7 +626,4 @@
 #endif
   ("EnableElRapB,-use-rap-b",  m_elRapSliceBEnabled, 0, "Set ILP over base-layer I picture to B picture (default is P picture)")
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  ("IlSampleOnlyPred%d",       m_ilSampleOnlyPred, 0, MAX_LAYERS, "Set inter_layer_sample_pred_only_flag for all slices")
-#endif
 #else //SVC_EXTENSION
   ("InputFile,i",           cfg_InputFile,     string(""), "Original YUV input file name")
Index: branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 558)
+++ branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 559)
@@ -72,7 +72,4 @@
 #if AVC_SYNTAX
   Char*     m_BLSyntaxFile;                                   ///< input syntax file
-#endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Int       m_ilSampleOnlyPred[ MAX_LAYERS ];
 #endif
 #if N0120_MAX_TID_REF_CFG
Index: branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 559)
@@ -220,7 +220,4 @@
     m_acTEncTop[layer].setMFMEnabledFlag(layer == 0 ? false : true);
 #endif
-#endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    m_acTEncTop[layer].setIlSampleOnlyPred( layer == 0 ? 0 : m_ilSampleOnlyPred[layer] );
 #endif
 #endif
Index: branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 559)
@@ -128,8 +128,4 @@
   m_colRefLayerIdx       = 0;
 #endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  m_numSamplePredRefLayers       = 0;
-  m_interLayerSamplePredOnlyFlag = false;
-#endif
 #endif //SVC_EXTENSION
 
@@ -180,8 +176,4 @@
 #else
   m_numILRRefIdx              = 0;
-#endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  m_numSamplePredRefLayers       = 0;
-  m_interLayerSamplePredOnlyFlag = false;
 #endif
 #endif
@@ -410,7 +402,4 @@
       pcRefPic->getPicYuvRec()->extendPicBorder();
       RefPicSetStCurr0[NumPocStCurr0] = pcRefPic;
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-      if( !m_interLayerSamplePredOnlyFlag || pcRefPic->getLayerId() < getLayerId()) 
-#endif
       NumPocStCurr0++;
       pcRefPic->setCheckLTMSBPresent(false);  
@@ -426,7 +415,4 @@
       pcRefPic->getPicYuvRec()->extendPicBorder();
       RefPicSetStCurr1[NumPocStCurr1] = pcRefPic;
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-      if( !m_interLayerSamplePredOnlyFlag || pcRefPic->getLayerId() < getLayerId()) 
-#endif
       NumPocStCurr1++;
       pcRefPic->setCheckLTMSBPresent(false);  
@@ -442,7 +428,4 @@
       pcRefPic->getPicYuvRec()->extendPicBorder();
       RefPicSetLtCurr[NumPocLtCurr] = pcRefPic;
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-      if( !m_interLayerSamplePredOnlyFlag || pcRefPic->getLayerId() < getLayerId()) 
-#endif
       NumPocLtCurr++;
     }
@@ -623,25 +606,17 @@
 
     if (m_eSliceType == I_SLICE)
-  {
+    {
       ::memset( m_apcRefPicList, 0, sizeof (m_apcRefPicList));
       ::memset( m_aiNumRefIdx,   0, sizeof ( m_aiNumRefIdx ));
-      
+
       return;
     }
-    
+
     assert(numPocTotalCurr > 0);
-    
+
     m_aiNumRefIdx[0] = getNumRefIdx(REF_PIC_LIST_0);
     m_aiNumRefIdx[1] = getNumRefIdx(REF_PIC_LIST_1);
   }
 
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    if( m_interLayerSamplePredOnlyFlag && getLayerId() ) 
-    {
-      m_aiNumRefIdx[0] = m_aiNumRefIdx[0] > m_activeNumILRRefIdx ? m_activeNumILRRefIdx : m_aiNumRefIdx[0];
-      m_aiNumRefIdx[1] = m_aiNumRefIdx[1] > m_activeNumILRRefIdx ? m_activeNumILRRefIdx : m_aiNumRefIdx[1];
-    }
-#endif
- 
     Int cIdx = 0;
     for ( i=0; i<NumPocStCurr0; i++, cIdx++)
Index: branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibCommon/TComSlice.h	(revision 559)
@@ -1923,8 +1923,4 @@
 #endif
 #endif 
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Int         m_numSamplePredRefLayers;
-  Bool        m_interLayerSamplePredOnlyFlag;
-#endif
 #if POC_RESET_FLAG
   Bool        m_bPocResetFlag;
@@ -2202,11 +2198,4 @@
 #endif 
 
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Int       getNumSamplePredRefLayers      ( )          { return  m_numSamplePredRefLayers;       }
-  Void      setNumSamplePredRefLayers      ( Int i )    { m_numSamplePredRefLayers = i;           }
-  Bool      getInterLayerSamplePredOnlyFlag( )          { return  m_interLayerSamplePredOnlyFlag; }
-  Void      setInterLayerSamplePredOnlyFlag( Bool val ) { m_interLayerSamplePredOnlyFlag = val;   }
-#endif
-
 #if M0457_COL_PICTURE_SIGNALING
   Void      setNumMotionPredRefLayers(int i)            { m_numMotionPredRefLayers = i; }
Index: branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibCommon/TypeDef.h	(revision 559)
@@ -171,10 +171,4 @@
 #define M0457_COL_PICTURE_SIGNALING      1
 #define N0139_POSITION_ROUNDING_OFFSET   1      ///< JCTVC-N0139: offset for collocated block in motion mapping
-#endif
-
-#if !VPS_EXTN_DIRECT_REF_LAYERS || !M0457_PREDICTION_INDICATIONS || !JCTVC_M0458_INTERLAYER_RPS_SIG
-#define M0457_IL_SAMPLE_PRED_ONLY_FLAG   0      ///< shall be 0, JCTVC-N0107
-#else
-#define M0457_IL_SAMPLE_PRED_ONLY_FLAG   0      ///< shall be 0, JCTVC-N0107
 #endif
 
Index: branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 559)
@@ -2185,12 +2185,4 @@
     }
 #endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    rpcSlice->setInterLayerSamplePredOnlyFlag( false );
-    if( rpcSlice->getNumSamplePredRefLayers() > 0 && rpcSlice->getActiveNumILRRefIdx() > 0 )
-    {
-      READ_FLAG( uiCode, "inter_layer_sample_pred_only_flag" );
-      rpcSlice->setInterLayerSamplePredOnlyFlag( uiCode > 0 );
-    }
-#endif
 #else
     if( rpcSlice->getLayerId() > 0 )
Index: branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 559)
@@ -851,7 +851,4 @@
   m_apcSlicePilot->setNumMotionPredRefLayers(m_numMotionPredRefLayers);
 #endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  m_apcSlicePilot->setNumSamplePredRefLayers( getNumSamplePredRefLayers() );
-#endif
 #endif
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder);
Index: branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 559)
@@ -1671,10 +1671,4 @@
       }
     }     
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    if( pcSlice->getNumSamplePredRefLayers() > 0 && pcSlice->getActiveNumILRRefIdx() > 0 )
-    {
-      WRITE_FLAG( pcSlice->getInterLayerSamplePredOnlyFlag(), "inter_layer_sample_pred_only_flag" );
-    }
-#endif
 #endif 
 
Index: branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 559)
@@ -462,10 +462,4 @@
         testInter = false;
       }
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-      if( pcSlice->getInterLayerSamplePredOnlyFlag() )
-      {
-        testInter = false;
-      }
-#endif
     }
 #endif
Index: branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 559)
@@ -696,16 +696,4 @@
 #endif
 #endif
-    }
-#endif
-
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    pcSlice->setNumSamplePredRefLayers( m_pcEncTop->getNumSamplePredRefLayers() );
-    pcSlice->setInterLayerSamplePredOnlyFlag( 0 );
-    if( pcSlice->getNumSamplePredRefLayers() > 0 && pcSlice->getActiveNumILRRefIdx() > 0 )
-    {
-      if( m_pcEncTop->getIlSampleOnlyPred() > 0 )
-      {
-        pcSlice->setInterLayerSamplePredOnlyFlag( true );
-      }
     }
 #endif
@@ -1306,9 +1294,5 @@
     }
 
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-    if (pcSlice->getSliceType() == B_SLICE && m_pcEncTop->getIlSampleOnlyPred() == 0)
-#else
     if (pcSlice->getSliceType() == B_SLICE)
-#endif
     {
 #if !SVC_EXTENSION
Index: branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 558)
+++ branches/SHM-5.0-dev/source/Lib/TLibEncoder/TEncTop.h	(revision 559)
@@ -137,7 +137,4 @@
   Bool                    m_bMFMEnabledFlag;
 #endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Int                     m_ilSampleOnlyPred;
-#endif
   UInt                    m_numScaledRefLayerOffsets;
 #if O0098_SCALED_REF_LAYER_ID
@@ -237,8 +234,4 @@
   Bool      getMFMEnabledFlag()                   {return m_bMFMEnabledFlag;}    
 #endif
-#if M0457_IL_SAMPLE_PRED_ONLY_FLAG
-  Void      setIlSampleOnlyPred( Int i )          { m_ilSampleOnlyPred = i;    }
-  Int       getIlSampleOnlyPred()                 { return m_ilSampleOnlyPred; }
-#endif
 #if AVC_SYNTAX
   Void      setBLSyntaxFile( fstream* pFile ) { m_pBLSyntaxFile = pFile; }
